Package com.logicaldoc.core.filler

# Class Filler

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.filler.Filler

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ChainFiller`, `MockFiller`

@Entity public abstract class Filler extends PersistentObject
A Filler implements its own logic to auto-fill the metadata of an `ExtensibleObject`

Since:
  9.2.3
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`Filler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`void`
`fill(Document document, DocumentHistory transaction, Map<String,Object> dictionary)`
Fills a document using the body text as input
`abstract void`
`fill(Fillable fillable, String content, History transaction, Map<String,Object> dictionary)`
Fills an object instance
`String`
`getDescription()`
`String`
`getLabel()`
`String`
`getName()`
`int`
`hashCode()`
`boolean`
`isCheckin()`
`boolean`
`isOverwrite()`
`static Filler`
`newFiller(String type)`
Factory method for instantiating a new filler
`void`
`setCheckin(boolean checkin)`
`void`
`setDescription(String description)`
`void`
`setLabel(String label)`
`void`
`setName(String name)`
`void`
`setOverwrite(boolean overwrite)`
`String`
`toString()`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Filler

public Filler()

## Method Details

### getName

public String getName()

### setName

public void setName(String name)

### getLabel

public String getLabel()

### setLabel

public void setLabel(String label)

### getDescription

public String getDescription()

### setDescription

public void setDescription(String description)

### isCheckin

public boolean isCheckin()

### setCheckin

public void setCheckin(boolean checkin)

### isOverwrite

public boolean isOverwrite()

### setOverwrite

public void setOverwrite(boolean overwrite)

### newFiller

public static Filler newFiller(String type)
Factory method for instantiating a new filler

Parameters:
  `type` - Type of filler, matches the discriminator value
Returns:
  The new filler
Throws:
  `IllegalArgumentException` - No implementation found for the given type

### fill

public abstract void fill(Fillable fillable, String content, History transaction, Map<String,Object> dictionary) throws PersistenceException, IOException, FeatureDisabledException, SearchException
Fills an object instance

Parameters:
  `fillable` - the instance to fill
  `content` - the content of the object, if not specified it will be taken from the transaction's file.
  `transaction` - the current transaction
  `dictionary` - Dictionary of the execution pipeline
Throws:
  `PersistenceException` - Error in the data layer
  `IOException` - I/O error
  `FeatureDisabledException` - An involved feature is disabled
  `SearchException` - Error in case of search

### fill

public void fill(Document document, DocumentHistory transaction, Map<String,Object> dictionary) throws PersistenceException, IOException, FeatureDisabledException, ParsingException, SearchException
Fills a document using the body text as input

Parameters:
  `document` - the document to fill
  `transaction` - the current transaction
  `dictionary` - Dictionary of the execution pipeline
Throws:
  `PersistenceException` - Error in the data layer
  `IOException` - I/O error
  `ParsingException` - The document cannot be parsed and no texts were extracted
  `FeatureDisabledException` - An involved feature is disabled
  `SearchException` - Error in case of search

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`

### toString

public String toString()

Overrides:
  `toString` in class `PersistentObject`